---
title: "Post JC Transaction"
slug: "post-jc-transaction"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/post-jc-transaction"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post JC Transaction

Post/jc-rest-api/rest/1/postjctran

## Overview

The postjctran api endpoint is used to post batches of Job Costing transactions

## UI Navigation

Job Costing > Transactions > Enter Cost Transaction - Post Transactions node

## Reference Article

[https://docs.cmicglobal.com/portal/Content/E_Reference_Material/JC_-_Job_Costing/Reference/Processing_Job_Costs/ECT-PostTransactions.htm?Highlight=Job%20Cost%20Transaction](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/JC_-_Job_Costing/Reference/Processing_Job_Costs/ECT-PostTransactions.htm?Highlight=Job%20Cost%20Transaction)

## Request Headers

| Content-Type | application/vnd.oracle.adf.action+json |
| --- | --- |

## Commonly Used Body Parameters

| CMiC UI Fieldname | Object | Name | Description | Type | Example | Required |
| --- | --- | --- | --- | --- | --- | --- |
| Company | postjctran | CompCode | Company Code | string | ZZ | Yes |
| Batch | postjctran | BchNum | Batch Number to be posted | number | 181626 | Yes |

SecurityHTTPType basic

Basic authentication

Header parametersContent-TypestringExampleapplication/vnd.oracle.adf.action+json

Body parameters<select class='api-response-data' aria-label='Media type'><option value='59dd4c60-2129-42f4-bf70-c6a8c5835ebe'>application/json</option>
</select>object  Example{
  "name": "postJcTran",
  "parameters": [
    {
      "compCode": "ZZ"
    },
    {
      "bchNum": "181626"
    }
  ]
}

Responses200

OK

HeadersContent-TypestringExampleapplication/json
<select class='api-response-data' aria-label='Media type'><option value='f4910558-46a2-4c68-a6f2-59fe379fb23d'>application/json</option>
</select>

```json
{
  "result": "Posting Completed Successfully"
}
```

object  

404

Not Found

HeadersContent-TypestringExampleapplication/json
<select class='api-response-data' aria-label='Media type'><option value='03519174-a089-45ce-b430-f2dd25640739'>application/json</option>
</select>

```json
{
  "error": "Batch number 181626 has already been posted."
}
```

object
